function fn=xDXFline3(X,Y,Z,fn)
% exports plot3(X,Y,Z) to file FN.dxf
%
% requires files:
%  res\DXFhead3_dxf
%  res\DXFmidd3_dxf
%  res\DXFtail3_dxf

if nargin<4
  fn='myLine';
end

fn=[fn '.dxf'];

fidw=fopen(fn,'w');

  % head --------------------------------------------------
  jiDXFflush(fidw,'res\DXFhead_dxf'); 
  
  % bounding box ------------------------------------------
  fprintf(fidw,'  9\n$EXTMIN\n');
  fprintf(fidw,' 10\n%f\n',min(min(X)));
  fprintf(fidw,' 20\n%f\n',min(min(Y)));
  fprintf(fidw,' 30\n%f\n',min(min(Z)));
  
  fprintf(fidw,'  9\n$EXTMAX\n');
  fprintf(fidw,' 10\n%f\n',max(max(X)));
  fprintf(fidw,' 20\n%f\n',max(max(Y)));
  fprintf(fidw,' 30\n%f\n',max(max(Z)));
 
  % middle ------------------------------------------------
  jiDXFflush(fidw,'res\DXFmidd_dxf');  
  
  % linestrip ---------------------------------------------
  for c1=1:length(X)-1
    fprintf(fidw,'  0\nLINE\n');
    fprintf(fidw,'  8\n0\n');
    fprintf(fidw,' 10\n%f\n',X(c1));
    fprintf(fidw,' 20\n%f\n',Y(c1));
    fprintf(fidw,' 30\n%f\n',Z(c1));
    fprintf(fidw,' 11\n%f\n',X(c1+1));
    fprintf(fidw,' 21\n%f\n',Y(c1+1));
    fprintf(fidw,' 31\n%f\n',Z(c1+1));
  end
  
  % tail --------------------------------------------------
  jiDXFflush(fidw,'res\DXFtail_dxf'); %tail
  
fclose(fidw);



function jiDXFflush(fidw,fn)

  fidr=fopen(fn,'r');
  while 1
    ln1=fgetl(fidr);
    if ~ischar(ln1)
      break
    end
    fprintf(fidw,'%s\n',ln1);
  end
  fclose(fidr);
