function fn=xNCCline3(X,Y,Z,fn)
% exports plot3(X,Y,Z) to file FN.ncc
%
% requires files:
%  res\NCChead_dxf
%  res\NCCtail_dxf

global cnt

cnt=1;

if nargin<4
  fn='myLine';
end

fn=[fn '.ncc'];

fidw=fopen(fn,'w');

  % head --------------------------------------------------
  jiNCCflush(fidw,'res\NCChead_ncc'); 

  % points  
  x=Inf;
  y=Inf;
  z=Z(1);
  
  fprintf(fidw,'N%i %s\n',cnt,['G00 Z' num2str(max(max(Z))) ' ']);
  cnt=cnt+1;
  fprintf(fidw,'N%i %s\n',cnt,['G01 Z' num2str(z) ' F746.0 ']);
  cnt=cnt+1;
  
  for c1=1:length(X)
    ln1='';
    if x~=X(c1)
      ln1=[ln1 sprintf('X%.4f ',X(c1))];
      x=X(c1);
    end
    if y~=Y(c1)
      ln1=[ln1 sprintf('Y%.4f ',Y(c1))];
      y=Y(c1);
    end
    if z~=Z(c1)
      ln1=[ln1 sprintf('Z%.4f ',Z(c1))];
      z=Z(c1);
    end
    fprintf(fidw,'N%i %s\n',cnt,ln1);
    cnt=cnt+1;
  end
  fprintf(fidw,'N%i %s\n',cnt,['G00 Z' num2str(max(max(Z))) ' ']);
  cnt=cnt+1;
  
  % tail --------------------------------------------------
  jiNCCflush(fidw,'res\NCCtail_ncc'); %tail
  
fclose(fidw);

function jiNCCflush(fidw,fn)
global cnt

  fidr=fopen(fn,'r');
  while 1
    ln1=fgetl(fidr);
    if ~ischar(ln1)
      break
    end
    fprintf(fidw,'N%i %s\n',cnt,ln1);
    cnt=cnt+1;
  end
  fclose(fidr);
